function [my_fx,my_fy,mathlab_fx,mathlab_fy, mathlab_matrix,reg_line1, reg_line2] = generate(utext,a,b,sigma1, na1,sigma2, na2)
    n = 100
    switch utext
    case ''
        my_fx = generateMyUniform(a,b,n)
        my_fy = generateMyUniform(a,b,n)
        mathlab_fx = generateMatlabUniform(a,b,n)
        mathlab_fy = generateMatlabUniform(a,b,n)
        mathlab_matrix = []
        reg_line1 = [];
        reg_line2 = [];
    case ''
        sigm = [sigma1^2 0; 0 sigma2^2];
        mu = [na1 na2];
        c = 2*pi;
        for i=1:n
            r1 = sqrt(-2*log(randn(1)));
            r2 = sqrt(-2*log(randn(1)));
            fi1 = c*randn(1);
            fi2 = c*randn(1);
            e1 = r1*cos(fi1);
            e2 = r2*cos(fi2);
         
            my_fx(i) = na1 + sigma1*e1;
            my_fy(i) = na2 + sigma2*e2;
        end   

        mathlab_matrix = mvnrnd(mu,sigm,100);
        r12=corrcoef(my_fx,my_fy);
        meanx = mean(my_fx)
        meany = mean(my_fy)
        reg_line1=meany + r12(1,2)*(sigma2/sigma1)*(my_fx-meanx);
        reg_line2=meanx + r12(1,2)*(sigma1/sigma2)*(my_fy-meany);
        mathlab_fx = [];
        mathlab_fy = [];
    otherwise,
        disp('ERROR!!!')
        exit();
    end
end



function myUniformRandom = generateMyUniform(a,b,n)
myUniformRandom = []
    for i=1:n
       myUniformRandom(i) = a + (b - a)*rand(1) 
    end
end

function matlabNumbers = generateMatlabUniform(a,b,n)
mathlab_numbers = []
    for i=1:n
       matlabNumbers(i) = unifrnd (a,b)
    end
end

